import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';
const testHeader = {
  body:'test',
  headers: new HttpHeaders({'Content-Type':'application/json'})
}
@Injectable({
  providedIn: 'root'
})
export class FilterSelectorsService {
  results:any;
  constructor(
    private http:HttpClient
  ) { }


  testList(prefix:string,host:string,postfix:string): Observable<any[]>{
    prefix = prefix;
    postfix = postfix;
    let baseUrl = prefix + host + postfix;
    console.log(baseUrl)
    return this.http.get<any>(baseUrl,testHeader).pipe(
      tap(_ => this.results = _)
    )
  }
}
